package ProjectElectricLocomotive.src.Entities;

import java.awt.*;
import java.util.Random;

public class EntityLocomotive
{
    private int Speed;
    public int GetSpeed()
    {
        return Speed;
    }
    private float Weight;
    public float GetWeight()
    {
        return Weight;
    }
    private Color BodyColor;
    public Color GetBodyColor()
    {
        return BodyColor;
    }
    public float Step;
    public float GetStep()
    {
        return Step;
    }
    public EntityLocomotive(int speed, float weight, Color bodyColor)
    {
        Random rnd = new Random();
        Speed = speed <= 0 ? rnd.nextInt(100, 300) : speed;
        Weight = weight <= 0 ? rnd.nextInt(1000, 3000) : weight;
        BodyColor = bodyColor;
        Step = Speed * 100 / Weight;
    }
}
